Bug 135559 - avoid using depreciated api
avoid using depreciated api
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 10:43 EDT by Rahul Sundaram
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.4.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 11:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-10-13 10:43:09 EDT
Description of problem:

This is a minor bug. More of a annoyance but it would be better to fix
this anyway


Version-Release number of selected component (if applicable):


 1.4.8  

How reproducible:

everytime


Steps to Reproduce:
1. run system-config-securitylevel from the command line
  
Actual results:
/usr/share/system-config-securitylevel/securitylevel.py:74:
DeprecationWarning: use gtk.ComboBox
  self.securityOptionMenu = gtk.OptionMenu()
/usr/share/system-config-securitylevel/selinuxPage.py:297:
DeprecationWarning: use gtk.ComboBox
  self.selinuxTypeOptionMenu = gtk.OptionMenu()


Expected results:

No such warnings 


Additional info:
Comment 1 Paul Nasrat 2004-10-14 11:29:45 EDT
Next version to hit rawhide no longer uses deprecated api.

Note You need to log in before you can comment on or make changes to this bug.